@import url(/fonts/fonts.css);

*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
    -webkit-text-size-adjust: 100%;
}

body {
    margin: 0;
    padding: 0;
    line-height: 1.5;
    font-family: system-ui, -apple-system, Segoe UI, Roboto, Arial, sans-serif;
    -webkit-font-smoothing: antialiased;
    text-rendering: optimizeLegibility;
    overflow-x: hidden;
    background-color: #010002;
    color:#b08e6c;;
    font-family: "Montserrat", sans-serif;
}

h1, h2, h3, h4, h5, h6,
p, ul, ol {
    margin: 0;
    padding: 0;
}

ul, ol {
    list-style: none;
}

/* Общий стиль списков */

.list{
    list-style:none;
    padding:0;
    margin:0;
}


.list li{
    position:relative;
    padding-left:20px;
    font-size: 26px;
    line-height: 34px;
}


.list li::before{

    content:"";

    position:absolute;

    left:0;
    top:12px;

    width:10px;
    height:10px;

    background:#b88a52;

    border-radius:50%;
}

a {
    color: inherit;
    text-decoration: none;
    transition: color .3s ease;
}

img, picture, video, canvas, svg {
    display: block;
    object-fit: contain;
    max-width: 100%;
}

input, button, textarea, select {
    font: inherit;
    color: inherit;
}

button {
    background: none;
    border: none;
    cursor: pointer;
}

:focus {
    outline: none;
}

.about__gallery img, .why-we img, .contacts img{
    border: 2px solid #8c785e;
    border-radius: 12px;
}

.underline-text{
    text-decoration: underline;
}
main{
    display: flex;
    justify-content: center;
    scroll-snap-type:y mandatory;
}

.hero{
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 1900px;
    
}

.hero__container{
    display: flex;
    flex-direction: column;
    gap:90px;
}

/*шапка*/


.hero__header{

    position:sticky;
    top:0;

    z-index:1000;

    padding:40px 0px;

    transition:
        padding .4s ease,
        background .4s ease,
        backdrop-filter .4s ease;

}
.hero__header-inner{

    width:100%;

    display:flex;
    justify-content:space-between;
    align-items:flex-end;

    max-width:1900px;

}
.hero__header.scrolled{

    padding:20px 0px;

    background:
        rgba(1,0,2,.75);

    backdrop-filter:blur(15px);

}

.hero__logo{
    flex:0 0 auto;
    padding-left: 60px;
}
.hero__logo{

    opacity:0;

    transform:
        translateY(40px)
        scale(.9);

    animation:
        logoShow 1.2s cubic-bezier(.2,.8,.2,1)
        forwards;

}



@keyframes logoShow{

    to{

        opacity:1;

        transform:
            translateY(0)
            scale(1);

    }

}
/*полоска у шапки*/

.hero__title{
    margin:0;
}


.hero__title img{
    display:block;
    max-width:250px;
}



.hero__content{
    width:65%;
    margin-top:30px;
}


.hero__subtitle{
    margin:0;
    font-size:28px;
    line-height: 34px;
    font-weight: 600;
}


.hero__lines{
    margin-top:25px;
    display:flex;
    flex-direction:column;
    gap:12px;
    align-items:flex-end;
}


.hero__line{
    display:block;
    height:3px;

    background:linear-gradient(
        90deg,
        transparent,
        rgba(184,138,82,.25) 10%,
        #b88a52
    );

    background-size:0% 100%;
    background-repeat:no-repeat;

    animation:lineDraw 1.8s ease forwards;
}




.hero__line--main{
    width:100%;
}


.hero__line--short{
    width:25%;
    animation-delay:.3s;
}


@keyframes lineDraw{

    from{
        background-size:0% 100%;
    }

    to{
        background-size:100% 100%;
    }

}

/*конец полоски*/


/*PADDING SECTION*/
.about, .benefits, .why-we, .contacts{
    padding: 0 60px;

}
p, span, a{
    font-size: 26px;
    line-height: 34px;
}
h2, h3{
    font-size: 26px !important;
    font-family: "Montserrat Bold", sans-serif;
    line-height: 34px;
}
/*для секций*/

.section{
    min-height: 50vh;

    display:flex;

    align-items:center;

    position:relative;

    overflow:hidden;

}
.section{

    opacity:0;

    transform:
        translateY(80px);

    transition:
        opacity 1s ease,
        transform 1s ease;

}


.section.visible{

    opacity:1;

    transform:
        translateY(0);

}

@media(max-height:800px){

.section{

    min-height:auto;

    padding-top:100px;
    padding-bottom:100px;

}

}

/*конец эффекта для скрлла секций*/


/*
SECTION ABOUT
*/
.about{
    display: flex;
    width: 100%;
    gap:120px;
    padding-left: 160px;
    justify-content: space-between;
}
.about__content{
    width: 65%;
}
.about__text{
    padding-left: 10px;
    margin-bottom: 40px;
}
/*
.about__gallery {
    width:600px;
    height:680px;

    display:grid;

    grid-template-columns: 330px 250px;
    grid-template-rows: 300px 240px;

    gap:20px;
}



.about__gallery a {
    display:block;
    overflow:hidden;
    border-radius:24px;
    position:relative;
    border: 1px solid #b08e6c;
}


.about__gallery img {
    width:100%;
    height:100%;
    object-fit:cover;
}



.about__gallery a:nth-child(1){
    grid-column:1;
    grid-row:1;
    height:240px;
    width: 320px;
    z-index:1;
}
.about__gallery a:nth-child(4){
    grid-column:1 / 3;
    grid-row:2;
    width: 320px;
    height: 240px;
    justify-self:end;
    align-self: end;
    z-index:4;
}

.about__gallery a:nth-child(2){
    grid-column:2;
    grid-row:1 / 3;
    height:300px;
    z-index:2;
}


.about__gallery a:nth-child(3){
    grid-column:1;
    grid-row:2;
    width: 250px;
    height: 300px;
    justify-self: start;
    transform: translateY(-60px);
    z-index: 3;
}

*/
/* =========================
   ABOUT GALLERY PUZZLE
========================= */

.about__gallery {

    --scale:1;

    width:calc(600px * var(--scale));
    height:calc(680px * var(--scale));

    display:grid;

    grid-template-columns:
        calc(330px * var(--scale))
        calc(250px * var(--scale));

    grid-template-rows:
        calc(300px * var(--scale))
        calc(240px * var(--scale));

    gap:calc(20px * var(--scale));

}


.about__gallery a {

    display:block;

    overflow:hidden;

    border-radius:24px;

    position:relative;

    border:1px solid #b08e6c;

}


.about__gallery img {

    width:100%;
    height:100%;

    object-fit:cover;

}


/* 1 горизонтальный */
.about__gallery a:nth-child(1){

    grid-column:1;
    grid-row:1;

    width:calc(320px * var(--scale));
    height:calc(240px * var(--scale));

    z-index:1;

}


/* 2 вертикальный */
.about__gallery a:nth-child(2){

    grid-column:2;
    grid-row:1 / 3;

    width:calc(250px * var(--scale));
    height:calc(300px * var(--scale));

    z-index:2;

}


/* 3 вертикальный */
.about__gallery a:nth-child(3){

    grid-column:1;
    grid-row:2;

    width:calc(250px * var(--scale));
    height:calc(300px * var(--scale));

    justify-self:start;

    transform:
        translateY(calc(-60px * var(--scale)));

    z-index:3;

}


/* 4 горизонтальный */
.about__gallery a:nth-child(4){

    grid-column:1 / 3;
    grid-row:2;

    width:calc(320px * var(--scale));
    height:calc(240px * var(--scale));

    justify-self:end;
    align-self:end;

    z-index:4;

}
/*SECTION  benefits*/

.benefits{
    display: flex;
    width: 100%;
    padding-left: 0 !important;
    align-items: center;
}
.benefits__image{
    height: 100%;
    object-fit: cover;
    /*display: block;*/
    display: flex;
}


/*SECTION why-we*/
.why-we__container{
    display: flex;
    width: 100%;
    align-items: stretch; 
    gap:40px;
}

.why-we__images{
    display: flex;
    gap:20px;   
}

.why-we__preview {
    display: flex;
    flex-direction: column;
    /*flex: 1;*/
    gap:20px;
    margin: 0;
}


.why-we__images {
    display: flex;
    gap: 20px;
    flex: 1;
}
.why-we__images a {
    /*flex: 1;*/
    display: block;
}
.why-we__caption{
    font-size: 20px;
}

.why-we__images img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

/*SECTION CONTACTS*/
.contacts{
    display: flex;
    gap:40px;
    align-items: center;
    width: 100%;
    height: 560px;
    padding-left: 160px;
}
.contacts__clients{
    max-width: 780px;
}
.contacts__address{
    padding-left: 20px;
}
address{
    font-style: normal !important;
}
.contacts__clients p{
    padding-left: 20px;
    padding-bottom: 40px;
}
.contacts__aside{
    display: flex;
    height: 100%;
    gap:60px;
}
.contacts__note{
    display: flex;
    justify-content: end;
    padding-top: 29px;
    padding-right: 50px;
    text-align: center;
}
.contacts__offer{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.contacts__image{
    position: absolute;
    right: 20px;
    height: 93%;
    top: 30px;
    padding: 0;
    margin: 0;
    z-index: 0;
}

.contacts__image img {
    height: 100%;
    border: none;

}
.contacts__image{
    --animate-duration:1.6s;

}
.contacts__info{
    display: flex;
    flex-direction: column;
}
.contacts__terms{
    max-width: 600px;
}
.contacts__terms p{
    padding-left: 20px;
}


/*линии в конце сайта*/
.section-lines{
    display:flex;
    flex-direction:column;
    gap:15px;
    padding: 10px 0 60px 0;
    align-self: end;
    width: 70%;

}


.section-lines__main,
.section-lines__short{

    display:block;

    height:2px;

    background:linear-gradient(
        90deg,
        transparent,
        rgba(184,138,82,.25) 15%,
        #b88a52
    );

    background-size:100% 100%;

}


.section-lines__main{

    width:100%;

}


.section-lines__short{

    width:40%;

}
.section-lines__main,
.section-lines__short{

    background-size:0% 100%;

    background-repeat:no-repeat;

    animation:lineDraw 1.8s ease forwards;

}


.section-lines__short{

    animation-delay:.3s;

}
@keyframes lineDraw{

    from{
        background-size:0% 100%;
    }

    to{
        background-size:100% 100%;
    }

}



/*фон*/
.hero__parallax--back{

    position:fixed;
    inset:0;
    z-index:-30;
    opacity:.12;
    pointer-events:none;

}
.hero__parallax{
    position:fixed;
    inset:0;

    overflow:hidden;
    pointer-events:none;

    will-change:transform;

    transition:transform .25s cubic-bezier(.22,.61,.36,1);
}



.beans{

    position:absolute;

    max-width:none;

    transition:transform .2s linear;

    opacity:.3;

    mix-blend-mode:soft-light;
    /*
    filter:
        brightness(.85)
        saturate(.7)
        blur(1px);*/


}
.hero__background{
    position:fixed;
    inset:0;
    pointer-events:none;
    overflow:hidden;
    z-index:-1;
}

.hero__beans{
    position:absolute;

    width:1300px;

    top:-150px;
    left:-250px;

    opacity:.22;

    transform:rotate(-18deg);

    will-change:transform;

    filter:
        brightness(1.08)
        contrast(1.08)
        drop-shadow(0 0 40px rgba(184,138,82,.18));
}
/*адаптив для маленьких экранов*/
@media(max-width:1899px){
    .contacts{
        gap:0px;
        padding-left: 120px;
    }
    .contacts__image {
        height: 84%;
    }
    .about {
        display: flex;
        width: 100%;
        gap: 20px;
        padding-left: 120px;
    }
}
@media(max-width: 1799px){
    .about, .benefits, .why-we, .contacts {
        padding: 0px 40px;
    }
    p, span, a{
        font-size: 24px;
        line-height: 29px;
    }
    .list li{
        font-size: 24px;
        line-height: 29px;
    }
    .about {
        gap: 80px;
        padding-left: 100px;
    }
    .contacts{
        padding-left: 100px;
    }
    h2, h3 {
        font-size: 24px !important;
        line-height: 32px;
    }
    .contacts__image img{
        width: 100%;
    }


    /*why-we*/
    .why-we__caption {
        font-size: 17px;
    }
    .why-we{
        padding-left:40px;
        padding-right:40px;
    }
    .why-we__container{
        gap:60px;
    }
    .why-we__preview{
        flex:0 0 32%;

    }
    .why-we__content{
        flex:1;
    }
    .why-we__images{
        gap:15px;
    }
    .why-we__images a{
        flex:1;
    }
    .why-we__caption{
        font-size:20px;
    }
    /*contacts */
    .contacts{
        gap:40px;
        padding-left: 100px;
    }
    .contacts__info{
        display: flex;
        flex-direction: column;
        width: 45%;
    }
    .contacts__aside{
        width: 30%;
    }
}
@media(max-width:1450px){
    .hero__subtitle {
        font-size: 24px;
        line-height: 26px;
    }
    .hero__title img {
        max-width: 200px;
    }
    .hero__logo {
        padding-left: 40px;
    }
    /*about*/
    p, span, a {
        font-size: 22px;
        line-height: 24px;
    }
    h2, h3 {
        font-size: 22px !important;
        line-height: 30px;
    } 
    .list li{
        font-size: 22px;
        line-height: 30px;
    }

    .why-we__images {
        flex: unset;
    }

    .contacts__info {
        width: 42%;
    }
    .contacts__image{
        height: 80%;
    }
    .contacts__note {
        padding-top: 69px;
    }
    .contacts__image {
        top: 90px;
    }
}


@media(max-width:1300px){


    /*цветочек из блоков*/
    .about__gallery{
        --scale:.75;
    }

    .about {
        gap: 40px;
        padding-left: 60px;
    }

    /*why-we*/
    .why-we__caption {
        font-size: 15px;
    }
    .why-we__container{
        gap:40px;
    }

    .why-we__preview {
        gap: 10px;
    }
    /*contacts*/
    .contacts {
        padding-left: 60px;
        height: auto;
    }


}
@media(max-width:1200px){
    .contacts {
        flex-direction: column;
        align-items: flex-start;
    }
    .contacts__info {
        width: 70%;
    }
    .contacts__aside {
        width: 70%;
    }
    .contacts__note{
        padding: 0;
    }
    .contacts__offer{
        gap:20px;
    }
}
@media(max-width:1000px){
    .hero__subtitle {
        font-size: 18px;
        line-height: 22px;
    }
    /*fonts*/
    p, span, a {
        font-size: 16px;
        line-height: 20px;
    }
    h2, h3 {
        font-size: 16px !important;
        line-height: 24px;
    } 
    .list li{
        font-size: 16px;
        line-height: 24px;
    }
    /*end fonts*/
    .hero__title img {
        max-width: 180px;
    }
    .hero__header-inner{
        gap:20px;
    }
    .hero__logo {
        padding-left: 20px;
    }
    .hero__header{
        padding: 20px 0;
    }

    /*about*/

    .about {
        gap: 20px;
        padding-left: 40px;
    }
    .about__gallery{
        --scale:.60;
    }

    /*why*/
    .why-we__caption {
        font-size: 13px;
    }
    /*contacts*/
    .contacts {
        padding-left: 40px;
    }
    .contacts__info {
        width: 60%;
    }
    .contacts__aside {
        width: 60%;
    }

}
@media(max-width:768px){
    .hero__header-inner{
        flex-direction: column;
    }
    .hero__logo{
        position: absolute;
        left: 0;
        top: 30px;
    }
    .hero__title img {
        max-width: 120px;
    }
    .hero__content {
        width: 80%;
        margin-top: 65px;
    }
    .hero__lines {
        margin-top: 5px;
        gap:6px;
    }
    .hero__header {
        padding: 15px 0 5px 0;
    }

    .about, .benefits, .why-we, .contacts {
        padding: 0px 20px;
    }

    /*about*/
    .about {
        gap: 40px;
        flex-direction: column;
    }
    .about__content{
        width: 100%;
    }
    .about__gallery{

        --scale:.8;

        align-self:center;

    }

    /*.benefits*/
    .benefits{
        flex-direction: column-reverse;
        padding: 0 20px !important;
    }

    /*why*/
    .why-we__container{
        flex-direction: column-reverse;
    }
    
    .why-we__preview{
        width:100%;
    }
    .why-we__images{
        width:70%;
        align-self: center;
    }
    .why-we__images a{
        flex:1;
    }
    .why-we__caption {
        text-align: center;
    }
    /*contacts*/
    .contacts__image {
        height: 62%;
        top:0;
    }
    .contacts__note {
        justify-content: start;
    }
    .contacts__aside {
        width: 100%;
    }
    .contacts__note{
        display: none;
    }

.list li::before{
    top:8px;
    width:6px;
    height:6px;
}    
    
}
@media(max-width:600px){
    .contacts__image{
        position: relative;
        margin-right: -20px;
    }
    .contacts__info {
        width: 100%;
    }
    .contacts__clients p {
        padding-left: 10px;
        padding-bottom: 20px;
    }
    .contacts__aside {
        gap: 30px;
    }
}
@media(max-width:540px){
    .hero__subtitle {
        font-size: 12px;
        line-height: 20px;
    }
    /*fonts*/
    p, span, a {
        font-size: 14px;
        line-height: 16px;
    }
    h2, h3 {
        font-size: 14px !important;
        line-height: 20px;
    } 
    .list li{
        font-size: 14px;
        line-height: 20px;
    }

    .hero__title img {
        max-width: 80px;
    }
    .hero__content {
        width: 100%;
        margin-top: 28px;
        text-align: center;
    }
    .hero__logo{
        position: absolute;
        left: 33%;
        top: 10px;
    }

    /*about*/
    .about__gallery{

        --scale:.6;

    }
    .about {
        gap: 20px;
    }
}
@media(max-width:420px){
    .about__gallery{

        --scale:.45;

    }
    .why-we__images{
        width:90%;
    }
}
@media(max-width:400px){
    .contacts__aside{
        flex-direction: column;
    }
    .contacts__image img {
        max-height: 400px;
    }
    .contacts__image {
        margin-right: -50px;
    }
}